diff --git a/net/kpimtextedit/pkg-plist b/net/kpimtextedit/pkg-plist
index 50d08f7fc858..f68d02cfc5c0 100644
--- a/net/kpimtextedit/pkg-plist
+++ b/net/kpimtextedit/pkg-plist
@@ -1,118 +1,90 @@
-include/KPim5/KPIMTextEdit/KPIMTextEdit/AbstractMarkupBuilder
-include/KPim5/KPIMTextEdit/KPIMTextEdit/EditorUtil
-include/KPim5/KPIMTextEdit/KPIMTextEdit/MarkupDirector
-include/KPim5/KPIMTextEdit/KPIMTextEdit/PlainTextEditFindBar
-include/KPim5/KPIMTextEdit/KPIMTextEdit/PlainTextEditor
-include/KPim5/KPIMTextEdit/KPIMTextEdit/PlainTextEditorWidget
-include/KPim5/KPIMTextEdit/KPIMTextEdit/PlainTextMarkupBuilder
-include/KPim5/KPIMTextEdit/KPIMTextEdit/PlainTextSyntaxSpellCheckingHighlighter
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposer
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposerActions
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposerControler
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposerEmailQuoteHighlighter
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposerImages
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextComposerWidget
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextEditFindBar
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextEditor
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextEditorWidget
-include/KPim5/KPIMTextEdit/KPIMTextEdit/RichTextExternalComposer
-include/KPim5/KPIMTextEdit/KPIMTextEdit/SelectSpecialCharDialog
-include/KPim5/KPIMTextEdit/KPIMTextEdit/SlideContainer
-include/KPim5/KPIMTextEdit/KPIMTextEdit/TextEditFindBarBase
-include/KPim5/KPIMTextEdit/KPIMTextEdit/TextEditorCompleter
-include/KPim5/KPIMTextEdit/KPIMTextEdit/TextGotoLineWidget
-include/KPim5/KPIMTextEdit/KPIMTextEdit/TextHTMLBuilder
-include/KPim5/KPIMTextEdit/KPIMTextEdit/TextUtils
-include/KPim5/KPIMTextEdit/kpimtextedit/abstractmarkupbuilder.h
-include/KPim5/KPIMTextEdit/kpimtextedit/editorutil.h
-include/KPim5/KPIMTextEdit/kpimtextedit/kpimtextedit_export.h
-include/KPim5/KPIMTextEdit/kpimtextedit/markupdirector.h
-include/KPim5/KPIMTextEdit/kpimtextedit/plaintexteditfindbar.h
-include/KPim5/KPIMTextEdit/kpimtextedit/plaintexteditor.h
-include/KPim5/KPIMTextEdit/kpimtextedit/plaintexteditorwidget.h
-include/KPim5/KPIMTextEdit/kpimtextedit/plaintextmarkupbuilder.h
-include/KPim5/KPIMTextEdit/kpimtextedit/plaintextsyntaxspellcheckinghighlighter.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposer.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposeractions.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposercontroler.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposeremailquotehighlighter.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposerimages.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextcomposerwidget.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtexteditfindbar.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtexteditor.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtexteditorwidget.h
-include/KPim5/KPIMTextEdit/kpimtextedit/richtextexternalcomposer.h
-include/KPim5/KPIMTextEdit/kpimtextedit/selectspecialchardialog.h
-include/KPim5/KPIMTextEdit/kpimtextedit/slidecontainer.h
-include/KPim5/KPIMTextEdit/kpimtextedit/texteditfindbarbase.h
-include/KPim5/KPIMTextEdit/kpimtextedit/texteditorcompleter.h
-include/KPim5/KPIMTextEdit/kpimtextedit/textgotolinewidget.h
-include/KPim5/KPIMTextEdit/kpimtextedit/texthtmlbuilder.h
-include/KPim5/KPIMTextEdit/kpimtextedit/textutils.h
-include/KPim5/KPIMTextEdit/kpimtextedit_version.h
-lib/cmake/KF5PimTextEdit/KF5PimTextEditConfig.cmake
-lib/cmake/KF5PimTextEdit/KF5PimTextEditConfigVersion.cmake
-lib/cmake/KF5PimTextEdit/KPim5TextEditTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5PimTextEdit/KPim5TextEditTargets.cmake
-lib/cmake/KPim5TextEdit/KPim5TextEditConfig.cmake
-lib/cmake/KPim5TextEdit/KPim5TextEditConfigVersion.cmake
-lib/cmake/KPim5TextEdit/KPim5TextEditTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5TextEdit/KPim5TextEditTargets.cmake
-lib/libKPim5TextEdit.so
-lib/libKPim5TextEdit.so.5
-lib/libKPim5TextEdit.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KPIMTextEdit.pri
-%%QT_PLUGINDIR%%/designer/kpimtextedit5widgets.so
-share/locale/ar/LC_MESSAGES/libkpimtextedit.mo
-share/locale/az/LC_MESSAGES/libkpimtextedit.mo
-share/locale/bs/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ca/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ca@valencia/LC_MESSAGES/libkpimtextedit.mo
-share/locale/cs/LC_MESSAGES/libkpimtextedit.mo
-share/locale/da/LC_MESSAGES/libkpimtextedit.mo
-share/locale/de/LC_MESSAGES/libkpimtextedit.mo
-share/locale/el/LC_MESSAGES/libkpimtextedit.mo
-share/locale/en_GB/LC_MESSAGES/libkpimtextedit.mo
-share/locale/eo/LC_MESSAGES/libkpimtextedit.mo
-share/locale/es/LC_MESSAGES/libkpimtextedit.mo
-share/locale/et/LC_MESSAGES/libkpimtextedit.mo
-share/locale/eu/LC_MESSAGES/libkpimtextedit.mo
-share/locale/fi/LC_MESSAGES/libkpimtextedit.mo
-share/locale/fr/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ga/LC_MESSAGES/libkpimtextedit.mo
-share/locale/gl/LC_MESSAGES/libkpimtextedit.mo
-share/locale/hu/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ia/LC_MESSAGES/libkpimtextedit.mo
-share/locale/it/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ja/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ka/LC_MESSAGES/libkpimtextedit.mo
-share/locale/kk/LC_MESSAGES/libkpimtextedit.mo
-share/locale/km/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ko/LC_MESSAGES/libkpimtextedit.mo
-share/locale/lt/LC_MESSAGES/libkpimtextedit.mo
-share/locale/lv/LC_MESSAGES/libkpimtextedit.mo
-share/locale/mr/LC_MESSAGES/libkpimtextedit.mo
-share/locale/nb/LC_MESSAGES/libkpimtextedit.mo
-share/locale/nds/LC_MESSAGES/libkpimtextedit.mo
-share/locale/nl/LC_MESSAGES/libkpimtextedit.mo
-share/locale/nn/LC_MESSAGES/libkpimtextedit.mo
-share/locale/pa/LC_MESSAGES/libkpimtextedit.mo
-share/locale/pl/LC_MESSAGES/libkpimtextedit.mo
-share/locale/pt/LC_MESSAGES/libkpimtextedit.mo
-share/locale/pt_BR/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ro/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ru/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sk/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sl/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sq/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sr/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sr@latin/LC_MESSAGES/libkpimtextedit.mo
-share/locale/sv/LC_MESSAGES/libkpimtextedit.mo
-share/locale/tr/LC_MESSAGES/libkpimtextedit.mo
-share/locale/ug/LC_MESSAGES/libkpimtextedit.mo
-share/locale/uk/LC_MESSAGES/libkpimtextedit.mo
-share/locale/zh_CN/LC_MESSAGES/libkpimtextedit.mo
-share/locale/zh_TW/LC_MESSAGES/libkpimtextedit.mo
-share/qlogging-categories5/kpimtextedit.categories
+include/KPim6/KPIMTextEdit/KPIMTextEdit/AbstractMarkupBuilder
+include/KPim6/KPIMTextEdit/KPIMTextEdit/MarkupDirector
+include/KPim6/KPIMTextEdit/KPIMTextEdit/PlainTextMarkupBuilder
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposer
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposerActions
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposerControler
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposerEmailQuoteHighlighter
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposerImages
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextComposerWidget
+include/KPim6/KPIMTextEdit/KPIMTextEdit/RichTextExternalComposer
+include/KPim6/KPIMTextEdit/KPIMTextEdit/TextHTMLBuilder
+include/KPim6/KPIMTextEdit/KPIMTextEdit/TextUtils
+include/KPim6/KPIMTextEdit/kpimtextedit/abstractmarkupbuilder.h
+include/KPim6/KPIMTextEdit/kpimtextedit/kpimtextedit_export.h
+include/KPim6/KPIMTextEdit/kpimtextedit/markupdirector.h
+include/KPim6/KPIMTextEdit/kpimtextedit/plaintextmarkupbuilder.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposer.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposeractions.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposercontroler.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposeremailquotehighlighter.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposerimages.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextcomposerwidget.h
+include/KPim6/KPIMTextEdit/kpimtextedit/richtextexternalcomposer.h
+include/KPim6/KPIMTextEdit/kpimtextedit/texthtmlbuilder.h
+include/KPim6/KPIMTextEdit/kpimtextedit/textutils.h
+include/KPim6/KPIMTextEdit/kpimtextedit_version.h
+lib/cmake/KPim6TextEdit/KPim6TextEditConfig.cmake
+lib/cmake/KPim6TextEdit/KPim6TextEditConfigVersion.cmake
+lib/cmake/KPim6TextEdit/KPim6TextEditTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6TextEdit/KPim6TextEditTargets.cmake
+lib/libKPim6TextEdit.so
+lib/libKPim6TextEdit.so.6
+lib/libKPim6TextEdit.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ast/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/az/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/bg/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/bs/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ca/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/cs/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/da/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/de/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/el/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/en_GB/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/eo/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/es/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/et/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/eu/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/fi/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/fr/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ga/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/gl/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/he/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/hu/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ia/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/it/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ja/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ka/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/kk/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/km/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ko/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/lt/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/lv/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/mr/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/nb/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/nds/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/nl/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/nn/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/pa/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/pl/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/pt/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/pt_BR/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ro/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ru/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sk/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sl/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sq/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sr/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sr@latin/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/sv/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ta/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/tr/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/ug/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/uk/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/zh_CN/LC_MESSAGES/libkpimtextedit6.mo
+share/locale/zh_TW/LC_MESSAGES/libkpimtextedit6.mo
+share/qlogging-categories6/kpimtextedit.categories
diff --git a/net/krdc/Makefile b/net/krdc/Makefile
index 316e368b8220..5fdb13769cc5 100644
--- a/net/krdc/Makefile
+++ b/net/krdc/Makefile
@@ -9,26 +9,25 @@ WWW=		https://kde.org/applications/internet/krdc/
 LIB_DEPENDS=	libvncserver.so:net/libvncserver \
 		libssh.so:security/libssh
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons dnssd doctools i18n iconthemes kcmutils \
-		notifications notifyconfig service wallet widgetsaddons \
-		windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 shared-mime-info tar:xz xorg
+USE_KDE=	activities bookmarks colorscheme completion config \
+		configwidgets coreaddons crash dnssd doctools i18n iconthemes \
+		kcmutils notifications notifyconfig statusnotifieritem \
+		wallet widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative wayland
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
 CMAKE_ON=	WITH_VNC
 
 OPTIONS_DEFINE=	FREERDP DOCS
-OPTIONS_DEFAULT=	FREERDP
 OPTIONS_SUB=	yes
-FREERDP_CMAKE_BOOL=	WITH_FREERDP
+FREERDP_CMAKE_BOOL=	WITH_RDP
 FREERDP_DESC=	Remote Desktop support via FreeRDP
 FREERDP_BUILD_DEPENDS=	xfreerdp:net/freerdp
 FREERDP_RUN_DEPENDS=	xfreerdp:net/freerdp
+FREERDP_BROKEN=		net/freerdp2 has broken cmake files
 
 .include <bsd.port.mk>
diff --git a/net/krdc/distinfo b/net/krdc/distinfo
index a4f8e4e54277..cbc4b5ee8961 100644
--- a/net/krdc/distinfo
+++ b/net/krdc/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889472
-SHA256 (KDE/release-service/23.08.5/krdc-23.08.5.tar.xz) = c2c57cebb22a9201ce5d6c305654e485df1d0deaa17496a8d85fe19a80f059f4
-SIZE (KDE/release-service/23.08.5/krdc-23.08.5.tar.xz) = 1630604
+TIMESTAMP = 1736948829
+SHA256 (KDE/release-service/24.12.0/krdc-24.12.0.tar.xz) = 7174604a50134bb23bda77e904986b170f9e35e41d83ce22ea2457608290c296
+SIZE (KDE/release-service/24.12.0/krdc-24.12.0.tar.xz) = 1558292
diff --git a/net/krdc/pkg-plist b/net/krdc/pkg-plist
index 91edb935601e..f46c7d072e82 100644
--- a/net/krdc/pkg-plist
+++ b/net/krdc/pkg-plist
@@ -8,12 +8,11 @@ lib/libkrdccore.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libkrdccore.so.5
 %%FREERDP%%%%QT_PLUGINDIR%%/krdc/kcms/libkcm_krdc_rdpplugin.so
 %%QT_PLUGINDIR%%/krdc/kcms/libkcm_krdc_vncplugin.so
+%%QT_PLUGINDIR%%/krdc/krdc_testplugin.so
+%%QT_PLUGINDIR%%/krdc/krdc_vncplugin.so
 %%FREERDP%%%%QT_PLUGINDIR%%/krdc/libkrdc_rdpplugin.so
-%%QT_PLUGINDIR%%/krdc/libkrdc_testplugin.so
-%%QT_PLUGINDIR%%/krdc/libkrdc_vncplugin.so
 share/applications/org.kde.krdc.desktop
 share/config.kcfg/krdc.kcfg
-share/kio/servicemenus/smb2rdc.desktop
 share/locale/af/LC_MESSAGES/krdc.mo
 share/locale/ar/LC_MESSAGES/krdc.mo
 share/locale/be/LC_MESSAGES/krdc.mo
@@ -90,4 +89,5 @@ share/locale/zh_CN/LC_MESSAGES/krdc.mo
 share/locale/zh_HK/LC_MESSAGES/krdc.mo
 share/locale/zh_TW/LC_MESSAGES/krdc.mo
 share/metainfo/org.kde.krdc.appdata.xml
-share/qlogging-categories5/krdc.categories
+share/mime/packages/org.kde.krdc-mime.xml
+share/qlogging-categories6/krdc.categories
diff --git a/net/krfb/Makefile b/net/krfb/Makefile
index 308478fbdb47..832d0c431114 100644
--- a/net/krfb/Makefile
+++ b/net/krfb/Makefile
@@ -10,14 +10,14 @@ BUILD_DEPENDS=	${LOCALBASE}/include/linux/input.h:devel/evdev-proto
 LIB_DEPENDS=	libvncserver.so:net/libvncserver \
 		libxcb-image.so:x11/xcb-util-image
 
-USES=		alias cmake compiler:c++11-lib gettext jpeg kde:5 pkgconfig \
-		qt:5 tar:xz xorg
+USES=		alias cmake compiler:c++11-lib gettext jpeg kde:6 pkgconfig \
+		qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons dnssd doctools i18n notifications wallet \
-		wayland widgetsaddons windowsystem xmlgui \
+		dbusaddons dnssd doctools i18n notifications \
+		statusnotifieritem wallet wayland widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build plasma-wayland-protocols:build
-USE_QT=		core dbus gui network widgets x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11 xcb xdamage xext xtst
 
 OPTIONS_DEFINE=			DOCS PIPEWIRE TELEPATHY
@@ -28,6 +28,7 @@ PIPEWIRE_LIB_DEPENDS=		libpipewire-0.3.so:multimedia/pipewire
 PIPEWIRE_USE=			KDE=kpipewire
 PIPEWIRE_CMAKE_BOOL_OFF=	DISABLE_PIPEWIRE
 TELEPATHY_DESC=			Support for Telepathy Tubes
-TELEPATHY_LIB_DEPENDS=		libtelepathy-qt5.so:net-im/telepathy-qt
+TELEPATHY_LIB_DEPENDS=		libtelepathy-qt6.so:net-im/telepathy-qt
+TELEPATHY_IGNORE=		not ported to Qt6 yet
 
 .include <bsd.port.mk>
diff --git a/net/krfb/distinfo b/net/krfb/distinfo
index 6e93a58d1e7a..4430f3270b16 100644
--- a/net/krfb/distinfo
+++ b/net/krfb/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889474
-SHA256 (KDE/release-service/23.08.5/krfb-23.08.5.tar.xz) = 86e40aa758683bc15cc637c68052dd46b70edf9d13919d6d580a23405efeb376
-SIZE (KDE/release-service/23.08.5/krfb-23.08.5.tar.xz) = 1322780
+TIMESTAMP = 1737042912
+SHA256 (KDE/release-service/24.12.0/krfb-24.12.0.tar.xz) = 55917eb513fdc4cd745c4fb0b6d8e7dcfcf388e54c6d5ea52aebc88dba6d49f4
+SIZE (KDE/release-service/24.12.0/krfb-24.12.0.tar.xz) = 1217900
diff --git a/net/krfb/pkg-plist b/net/krfb/pkg-plist
index f4ab21d68fca..34e71dcb93d3 100644
--- a/net/krfb/pkg-plist
+++ b/net/krfb/pkg-plist
@@ -5,7 +5,6 @@ lib/libkrfbprivate.so.5.0
 %%QT_PLUGINDIR%%/krfb/events/x11.so
 %%PIPEWIRE%%%%QT_PLUGINDIR%%/krfb/events/xdp.so
 %%PIPEWIRE%%%%QT_PLUGINDIR%%/krfb/framebuffer/pw.so
-%%QT_PLUGINDIR%%/krfb/framebuffer/qt.so
 %%QT_PLUGINDIR%%/krfb/framebuffer/xcb.so
 share/applications/org.kde.krfb.desktop
 share/applications/org.kde.krfb.virtualmonitor.desktop
@@ -14,6 +13,7 @@ share/icons/hicolor/scalable/apps/krfb.svgz
 %%DATADIR%%/krfb.notifyrc
 share/locale/af/LC_MESSAGES/krfb.mo
 share/locale/ar/LC_MESSAGES/krfb.mo
+share/locale/ast/LC_MESSAGES/krfb.mo
 share/locale/be/LC_MESSAGES/krfb.mo
 share/locale/bg/LC_MESSAGES/krfb.mo
 share/locale/br/LC_MESSAGES/krfb.mo
@@ -89,4 +89,4 @@ share/locale/xh/LC_MESSAGES/krfb.mo
 share/locale/zh_CN/LC_MESSAGES/krfb.mo
 share/locale/zh_TW/LC_MESSAGES/krfb.mo
 share/metainfo/org.kde.krfb.appdata.xml
-share/qlogging-categories5/krfb.categories
+share/qlogging-categories6/krfb.categories
diff --git a/net/ksmtp/Makefile b/net/ksmtp/Makefile
index 0ec9891b9af5..0f3f32f41739 100644
--- a/net/ksmtp/Makefile
+++ b/net/ksmtp/Makefile
@@ -9,13 +9,12 @@ WWW=		https://github.com/KDE/mailcommon
 LICENSE=	LGPL21
 LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	config coreaddons i18n kio service \
 		ecm:build
 # pim components
 USE_KDE+=	mime
-USE_QT=		concurrent core dbus network \
-		buildtools:build qmake:build
+USE_QT=		base
 
 USE_LDCONFIG=	yes
 
diff --git a/net/ksmtp/distinfo b/net/ksmtp/distinfo
index 65f70e758578..7a1904e23ceb 100644
--- a/net/ksmtp/distinfo
+++ b/net/ksmtp/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889475
-SHA256 (KDE/release-service/23.08.5/ksmtp-23.08.5.tar.xz) = dd0698955b1ec0455246df69d2ff1a12643119702a60fab24294c6cac2ac1bc5
-SIZE (KDE/release-service/23.08.5/ksmtp-23.08.5.tar.xz) = 50196
+TIMESTAMP = 1734460327
+SHA256 (KDE/release-service/24.12.0/ksmtp-24.12.0.tar.xz) = 7fb9496edd57199b2aeba3efa8e7a584e8093a67a91c114313460efc788c4570
+SIZE (KDE/release-service/24.12.0/ksmtp-24.12.0.tar.xz) = 53216
diff --git a/net/ksmtp/pkg-plist b/net/ksmtp/pkg-plist
index 1d2a3d1a30c9..1f77589ec4f4 100644
--- a/net/ksmtp/pkg-plist
+++ b/net/ksmtp/pkg-plist
@@ -1,66 +1,71 @@
-include/KPim5/KSMTP/KSMTP/Job
-include/KPim5/KSMTP/KSMTP/LoginJob
-include/KPim5/KSMTP/KSMTP/SendJob
-include/KPim5/KSMTP/KSMTP/Session
-include/KPim5/KSMTP/KSMTP/SessionUiProxy
-include/KPim5/KSMTP/ksmtp/job.h
-include/KPim5/KSMTP/ksmtp/ksmtp_export.h
-include/KPim5/KSMTP/ksmtp/loginjob.h
-include/KPim5/KSMTP/ksmtp/sendjob.h
-include/KPim5/KSMTP/ksmtp/session.h
-include/KPim5/KSMTP/ksmtp/sessionuiproxy.h
-include/KPim5/KSMTP/ksmtp_version.h
-lib/cmake/KPim5SMTP/KPim5SMTPConfig.cmake
-lib/cmake/KPim5SMTP/KPim5SMTPConfigVersion.cmake
-lib/cmake/KPim5SMTP/KPim5SMTPTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5SMTP/KPim5SMTPTargets.cmake
-lib/libKPim5SMTP.so
-lib/libKPim5SMTP.so.5
-lib/libKPim5SMTP.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KSMTP.pri
-share/locale/ar/LC_MESSAGES/libksmtp5.mo
-share/locale/bs/LC_MESSAGES/libksmtp5.mo
-share/locale/ca/LC_MESSAGES/libksmtp5.mo
-share/locale/ca@valencia/LC_MESSAGES/libksmtp5.mo
-share/locale/cs/LC_MESSAGES/libksmtp5.mo
-share/locale/de/LC_MESSAGES/libksmtp5.mo
-share/locale/en_GB/LC_MESSAGES/libksmtp5.mo
-share/locale/es/LC_MESSAGES/libksmtp5.mo
-share/locale/et/LC_MESSAGES/libksmtp5.mo
-share/locale/eu/LC_MESSAGES/libksmtp5.mo
-share/locale/fi/LC_MESSAGES/libksmtp5.mo
-share/locale/fr/LC_MESSAGES/libksmtp5.mo
-share/locale/ga/LC_MESSAGES/libksmtp5.mo
-share/locale/gl/LC_MESSAGES/libksmtp5.mo
-share/locale/hi/LC_MESSAGES/libksmtp5.mo
-share/locale/hu/LC_MESSAGES/libksmtp5.mo
-share/locale/ia/LC_MESSAGES/libksmtp5.mo
-share/locale/it/LC_MESSAGES/libksmtp5.mo
-share/locale/ja/LC_MESSAGES/libksmtp5.mo
-share/locale/ka/LC_MESSAGES/libksmtp5.mo
-share/locale/km/LC_MESSAGES/libksmtp5.mo
-share/locale/ko/LC_MESSAGES/libksmtp5.mo
-share/locale/lt/LC_MESSAGES/libksmtp5.mo
-share/locale/mr/LC_MESSAGES/libksmtp5.mo
-share/locale/nds/LC_MESSAGES/libksmtp5.mo
-share/locale/nl/LC_MESSAGES/libksmtp5.mo
-share/locale/nn/LC_MESSAGES/libksmtp5.mo
-share/locale/pl/LC_MESSAGES/libksmtp5.mo
-share/locale/pt/LC_MESSAGES/libksmtp5.mo
-share/locale/pt_BR/LC_MESSAGES/libksmtp5.mo
-share/locale/ro/LC_MESSAGES/libksmtp5.mo
-share/locale/ru/LC_MESSAGES/libksmtp5.mo
-share/locale/sk/LC_MESSAGES/libksmtp5.mo
-share/locale/sl/LC_MESSAGES/libksmtp5.mo
-share/locale/sr/LC_MESSAGES/libksmtp5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libksmtp5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libksmtp5.mo
-share/locale/sr@latin/LC_MESSAGES/libksmtp5.mo
-share/locale/sv/LC_MESSAGES/libksmtp5.mo
-share/locale/ta/LC_MESSAGES/libksmtp5.mo
-share/locale/tr/LC_MESSAGES/libksmtp5.mo
-share/locale/ug/LC_MESSAGES/libksmtp5.mo
-share/locale/uk/LC_MESSAGES/libksmtp5.mo
-share/locale/zh_CN/LC_MESSAGES/libksmtp5.mo
-share/locale/zh_TW/LC_MESSAGES/libksmtp5.mo
-share/qlogging-categories5/ksmtp.categories
+include/KPim6/KSMTP/KSMTP/Job
+include/KPim6/KSMTP/KSMTP/LoginJob
+include/KPim6/KSMTP/KSMTP/SendJob
+include/KPim6/KSMTP/KSMTP/Session
+include/KPim6/KSMTP/KSMTP/SessionUiProxy
+include/KPim6/KSMTP/ksmtp/job.h
+include/KPim6/KSMTP/ksmtp/ksmtp_export.h
+include/KPim6/KSMTP/ksmtp/loginjob.h
+include/KPim6/KSMTP/ksmtp/sendjob.h
+include/KPim6/KSMTP/ksmtp/session.h
+include/KPim6/KSMTP/ksmtp/sessionuiproxy.h
+include/KPim6/KSMTP/ksmtp_version.h
+lib/cmake/KPim6SMTP/KPim6SMTPConfig.cmake
+lib/cmake/KPim6SMTP/KPim6SMTPConfigVersion.cmake
+lib/cmake/KPim6SMTP/KPim6SMTPTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6SMTP/KPim6SMTPTargets.cmake
+lib/libKPim6SMTP.so
+lib/libKPim6SMTP.so.6
+lib/libKPim6SMTP.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libksmtp6.mo
+share/locale/ast/LC_MESSAGES/libksmtp6.mo
+share/locale/bg/LC_MESSAGES/libksmtp6.mo
+share/locale/bs/LC_MESSAGES/libksmtp6.mo
+share/locale/ca/LC_MESSAGES/libksmtp6.mo
+share/locale/ca@valencia/LC_MESSAGES/libksmtp6.mo
+share/locale/cs/LC_MESSAGES/libksmtp6.mo
+share/locale/de/LC_MESSAGES/libksmtp6.mo
+share/locale/en_GB/LC_MESSAGES/libksmtp6.mo
+share/locale/eo/LC_MESSAGES/libksmtp6.mo
+share/locale/es/LC_MESSAGES/libksmtp6.mo
+share/locale/et/LC_MESSAGES/libksmtp6.mo
+share/locale/eu/LC_MESSAGES/libksmtp6.mo
+share/locale/fi/LC_MESSAGES/libksmtp6.mo
+share/locale/fr/LC_MESSAGES/libksmtp6.mo
+share/locale/ga/LC_MESSAGES/libksmtp6.mo
+share/locale/gl/LC_MESSAGES/libksmtp6.mo
+share/locale/he/LC_MESSAGES/libksmtp6.mo
+share/locale/hi/LC_MESSAGES/libksmtp6.mo
+share/locale/hu/LC_MESSAGES/libksmtp6.mo
+share/locale/ia/LC_MESSAGES/libksmtp6.mo
+share/locale/it/LC_MESSAGES/libksmtp6.mo
+share/locale/ja/LC_MESSAGES/libksmtp6.mo
+share/locale/ka/LC_MESSAGES/libksmtp6.mo
+share/locale/km/LC_MESSAGES/libksmtp6.mo
+share/locale/ko/LC_MESSAGES/libksmtp6.mo
+share/locale/lt/LC_MESSAGES/libksmtp6.mo
+share/locale/lv/LC_MESSAGES/libksmtp6.mo
+share/locale/mr/LC_MESSAGES/libksmtp6.mo
+share/locale/nds/LC_MESSAGES/libksmtp6.mo
+share/locale/nl/LC_MESSAGES/libksmtp6.mo
+share/locale/nn/LC_MESSAGES/libksmtp6.mo
+share/locale/pl/LC_MESSAGES/libksmtp6.mo
+share/locale/pt/LC_MESSAGES/libksmtp6.mo
+share/locale/pt_BR/LC_MESSAGES/libksmtp6.mo
+share/locale/ro/LC_MESSAGES/libksmtp6.mo
+share/locale/ru/LC_MESSAGES/libksmtp6.mo
+share/locale/sa/LC_MESSAGES/libksmtp6.mo
+share/locale/sk/LC_MESSAGES/libksmtp6.mo
+share/locale/sl/LC_MESSAGES/libksmtp6.mo
+share/locale/sr/LC_MESSAGES/libksmtp6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libksmtp6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libksmtp6.mo
+share/locale/sr@latin/LC_MESSAGES/libksmtp6.mo
+share/locale/sv/LC_MESSAGES/libksmtp6.mo
+share/locale/ta/LC_MESSAGES/libksmtp6.mo
+share/locale/tr/LC_MESSAGES/libksmtp6.mo
+share/locale/ug/LC_MESSAGES/libksmtp6.mo
+share/locale/uk/LC_MESSAGES/libksmtp6.mo
+share/locale/zh_CN/LC_MESSAGES/libksmtp6.mo
+share/locale/zh_TW/LC_MESSAGES/libksmtp6.mo
+share/qlogging-categories6/ksmtp.categories
diff --git a/net/ktnef/Makefile b/net/ktnef/Makefile
index 60a1d97acb78..e3a5341be7c9 100644
--- a/net/ktnef/Makefile
+++ b/net/ktnef/Makefile
@@ -8,13 +8,12 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
-USE_KDE=	config coreaddons i18n kdelibs4support \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	config coreaddons i18n \
 		ecm:build
 # pim components
 USE_KDE+=	calendarcore calendarutils contacts
-USE_QT=		core gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/ktnef/distinfo b/net/ktnef/distinfo
index cabae7e26acf..94fc653c6b94 100644
--- a/net/ktnef/distinfo
+++ b/net/ktnef/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889464
-SHA256 (KDE/release-service/23.08.5/ktnef-23.08.5.tar.xz) = 379fc87cc555d9d55c2edfa4cf8d33a95ad2bb1066e96b966668a6af4669b428
-SIZE (KDE/release-service/23.08.5/ktnef-23.08.5.tar.xz) = 312392
+TIMESTAMP = 1734460328
+SHA256 (KDE/release-service/24.12.0/ktnef-24.12.0.tar.xz) = 0a7677d2acf7e25f5199e1acd9a3422370eff9a309ddd27740657768cbdd0660
+SIZE (KDE/release-service/24.12.0/ktnef-24.12.0.tar.xz) = 313476
